Subject: Re: [DRAFT] Branching and merging with git

From: "J. Bruce Fields" <[email-masked]>
Date: Tue, 9 Jan 2007 10:49:00 -0500

On Tue, Jan 09, 2007 at 09:46:06AM +0100, Andreas Ericsson wrote:
> J. Bruce Fields wrote:
> >	- I tried writing something modeled loosely on the hg quick
> >	  start.  It's a little out of date now, but that could be
> >	  fixed:
> >
> >		http://www.fieldses.org/~bfields/git-quick-start.html
> >
> 
> I like this, although fetch should probably have "--force" instead of 
> the "+branch" notation. --force stands out more and users are familiar 
> with --force possibly destroying things (rm -rf, anyone?).

I started out writing it that way (for the reasons you give), then
changed it on the theory starting out with the "+" notation would make
it simpler explaining how to do the remote configuration.

Now that there's git-remote, and less need to manipulate the remote
configuration by hand, maybe that's less important.

> I think the document is fine as it is, but could probably start off with 
> a link to the tutorial, quickstart or a revised version of everyday.txt, 
> stating that "here's something you might want to read if you prefer to 
> experiment. If you think something goes wrong, come back here and find 
> out why".

Sounds sensible.

> Indeed. I for one like examples that tell me
> 
> # type this
> # this will happen
> # you can see what you just did with this, this, and this command
> # this is because...
> 
> Not only is it good for learning the how and the why, but it also trains 
> the fingers right from the start.

OK.  This is a place where I'd really appreciate any contributions.

--b.